Create a contact
POST /contact
Creates a CRM contact using the supplied name, phone number, optional CRM entity type, and connector-defined additional submission fields. Connector validation failures can return HTTP 200 with successful: false and returnMessage.
Operation ID: postContact
Authorization: BEARER or API key
Request body
CRM contact identity and optional connector-defined creation fields.
Required: Yes
Content type: application/json
Schema: CreateContactRequest
{
"phoneNumber": "string",
"newContactName": "string",
"newContactType": "string",
"additionalSubmission": {}
}
Responses
| Status | Description | Body |
|---|---|---|
200 |
Created CRM contact information. | ContactMutationResponse |
400 |
Bad request, missing authentication, or connector error. | ErrorResponse, string |
401 |
The user session is expired or revoked. | ErrorResponse, string |